package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 房间类型(0.会议室,1.办公室)枚举类
*
* @author zxfei
*/
public enum RoomTypeEnum {
    会议室(0, "会议室"),
    办公室(1, "办公室");
    private Integer value;
    private String desc;

    RoomTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static RoomTypeEnum getByValue(Integer value) {
        for (RoomTypeEnum roomTypeEnum : RoomTypeEnum.values()) {
            if (roomTypeEnum.getValue() == value) {
                return roomTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (RoomTypeEnum item : RoomTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}